Skip to content

Commit

Permalink
Fix the OpenSSL version for EVP_DigestSqueeze.
Browse files Browse the repository at this point in the history
According to the documentation, EVP_DigestSqueeze was introduced in
OpenSSL 3.3, not OpenSSL 3.2. https://www.openssl.org/docs/manmaster/man3/EVP_DigestSqueeze.html

This caused our tests to expect a functioning squeeze implementation on
OpenSSL 3.2, but get a PlatformNotSupportedException because 3.2 does not
actually support it.
  • Loading branch information
vcsjones committed May 22, 2024
1 parent 4a438e5 commit 17e6a5f
Showing 1 changed file with 2 additions and 2 deletions.
Original file line number Diff line number Diff line change
Expand Up @@ -51,8 +51,8 @@ public static bool IsReadSupported
{
get
{
const long OpenSsl_3_2_0 = 0x30200000L;
return IsSupported && (PlatformDetection.IsWindows || SafeEvpPKeyHandle.OpenSslVersion >= OpenSsl_3_2_0);
const long OpenSsl_3_3_0 = 0x30300000L;
return IsSupported && (PlatformDetection.IsWindows || SafeEvpPKeyHandle.OpenSslVersion >= OpenSsl_3_3_0);
}
}

Expand Down

0 comments on commit 17e6a5f

Please sign in to comment.